RSAPrivateCrtKey (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.interfaces
Interface RSAPrivateCrtKey

All Superinterfaces:
  Key, PrivateKey, RSAKey, RSAPrivateKey, Serializable

public interface RSAPrivateCrtKey
extends RSAPrivateKey

The interface to an RSA private key, as defined in the PKCS#1 standard, using the Chinese Remainder Theorem (CRT) information values.

See Also:
  `RSAPrivateKey`

Field Summary

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Method Summary
`BigInteger` | `getCrtCoefficient()` Returns the crtCoefficient.
`BigInteger` | `getPrimeExponentP()` Returns the primeExponentP.
`BigInteger` | `getPrimeExponentQ()` Returns the primeExponentQ.
`BigInteger` | `getPrimeP()` Returns the primeP.
`BigInteger` | `getPrimeQ()` Returns the primeQ.
`BigInteger` | `getPublicExponent()` Returns the public exponent.

Methods inherited from interface java.security.interfaces.RSAPrivateKey
`getPrivateExponent`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Methods inherited from interface java.security.interfaces.RSAKey
`getModulus`

Method Detail

### getPublicExponent

    public BigInteger getPublicExponent()

  Returns the public exponent.

  Returns:
    the public exponent

### getPrimeP

    public BigInteger getPrimeP()

  Returns the primeP.

  Returns:
    the primeP

### getPrimeQ

    public BigInteger getPrimeQ()

  Returns the primeQ.

  Returns:
    the primeQ

### getPrimeExponentP

    public BigInteger getPrimeExponentP()

  Returns the primeExponentP.

  Returns:
    the primeExponentP

### getPrimeExponentQ

    public BigInteger getPrimeExponentQ()

  Returns the primeExponentQ.

  Returns:
    the primeExponentQ

### getCrtCoefficient

    public BigInteger getCrtCoefficient()

  Returns the crtCoefficient.

  Returns:
    the crtCoefficient

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.